Subject: [Forces-protocol] RE: Instance Select

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Thu, 21 Oct 2004 13:58:13 -0700

Sounds good to me...we can leave a Editorial note in saying that this
issue needs further discussion.
In the mean time, can should continue discussion even on this mailing
list and I will be happy to arrange a conference call before the IETF,
if that is needed/requested.

regards
Hormuzd 

-----Original Message-----
From: Jamal Hadi Salim [mailto:[email-masked]] 
Sent: Thursday, October 21, 2004 1:19 PM
To: Khosravi, Hormuzd M
Cc: Wang,Weiming; [email-masked]; Joel M. Halpern;
[email-masked]; Yang, Lily L; Alan DeKok; [email-masked]; Steven
"Blake (petri-meat); Deleganes, Ellen M
Subject: RE: Instance Select

My opinion is this issue should be defered for this release of the
protocol draft. 

If Weiming can be given a slot to present on the topic (I will also
provide him with my data) then lets discuss at the meeting.
If not a presentation then maybe over a meal and some good caffeine.

cheers,
jamal

On Thu, 2004-10-21 at 15:58, Khosravi, Hormuzd M wrote:
> Weiming,
> 
> I haven't seen any compelling example (real NE) to need this kind of
> functionality in the protocol.
> Therefore, I don't think this complexity needs to be added...at most
we
> need a Broadcast Instance ID definition (Send msgs to all LFBs of a
> particular Type). But I will be happy to hear what Jamal, others have
to
> say on this ? I am not religious either way...
> 
> 
> regards
> Hormuzd 
> 
> -----Original Message-----
> From: Wang,Weiming [mailto:[email-masked]] 
> Sent: Wednesday, October 20, 2004 9:48 PM
> To: [email-masked]
> Cc: Khosravi, Hormuzd M; [email-masked]; Joel M. Halpern;
> [email-masked]; Yang, Lily L; Alan DeKok; [email-masked]; Steven
> Blake (petri-meat); Deleganes, Ellen M
> Subject: Instance Select
> 
> Hi Jamal, Hormuzd, etc,
> 
> To summarize the discussions on multiple instances, I try to propose
> following
> scheme for instance selection, which follows Robert's idea and Jamal's
> format,
> as:
> 
> PL level PDU : = MAINHDR<LFBselect>+
> LFBselect := LFBCLASSID InsSelect <OPER>+
> InsSelect := InstanceID <RangeMark | Instance ID >+
> RangeMark := '0xFFFFFFFF'; the value is the same as Broadcast Instance
> address,
> no worry of ambiguity here.
> 
> The InsSelect is a TLV, whose structure is shown as:
> 
> main hdr (eg type = config)
>      |
>      |
>      +-- T = LFBselect
>      |        |
>      |        +- LFBCLASSID = target LFB class
>      |        |
>      |        |
>      |        +- T = InsSelect
>      |        |   |
>      |        |   V = InstanceID <RangeMark | Instance ID >+
>      |        |
>      |        +- T = operation { ADD, DEL, GET, etc}
>      ...
> 
> Best Regards,
> Weiming
> 
> 
> 

_______________________________________________
Forces-protocol mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/forces-protocol